%define major 8
%define libname %mklibname xklavier %major
Name:		libxklavier
Summary:	X Keyboard support library
Version: 1.04
Release:	2mdk
License:	LGPL
Group:		System/Libraries
Url: http://gswitchit.sourceforge.net/
BuildRequires: libxml2-devel
BuildRequires: doxygen
BuildRequires: XFree86-devel
#gw stupid configure checks for /usr/X11R6/lib/X11/xkb/
BuildRequires: XFree86
Source0: http://prdownloads.sourceforge.net/gswitchit/%{name}-%{version}.tar.bz2
Patch0: libxklavier-1.03-64bit-fixes.patch.bz2
# (fc) 1.04-2mdk fix double free (Mdk bug #13445) (Gentoo)
Patch1: libxklavier-1.04-fix_free.patch.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This library allows you simplify XKB-related development.

%package data
Summary:	Keyboard description data
Group:		System/Libraries

%description data
This contains the data files needed by %name.

%package -n %libname
Summary:	X Keyboard support library
Group:		System/Libraries
Requires: 	%name-data >= %version-%release

%description -n %libname
This library allows you simplify XKB-related development.

%package -n %libname-devel
Summary: Libraries, includes, etc to develop libxklavier applications
Group: Development/C
Requires: %{libname} = %{version}-%release
Provides: %name-devel = %version-%release

%description  -n %libname-devel
Libraries, include files, etc you can use to develop libxklavier
applications.

%package -n %libname-static-devel
Group: Development/C
Summary: Static library of %name
Requires: %libname-devel = %version-%release
Provides: %{name}-static-devel = %{version}-%{release}

%description -n %libname-static-devel
This package contains the static library required for statically
linking applications based on %{name}.

%prep
%setup -q
%patch0 -p1 -b .64bit-fixes
%patch1 -p1 -b .fix_free

%build
if [ ! -f configure ]; then
    CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh
fi
%configure2_5x --enable-doxygen --with-xkb-base=%{_prefix}/X11R6/lib/X11/xkb
%make 

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall_std
mv %buildroot%_datadir/doc/%name-%version installed-docs

%clean
rm -rf %{buildroot}


%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig


%files data
%defattr(-, root, root)
%doc README
%{_datadir}/libxklavier


%files -n %libname
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING.LIB 
%{_libdir}/lib*.so.*

%files -n %libname-devel
%defattr(-, root, root)
%doc installed-docs/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*

%files -n %libname-static-devel
%defattr(-, root, root)
%{_libdir}/*.a

%changelog
* Tue Feb 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.04-2mdk 
- Patch0 (Gentoo): fix double free (Mdk bug #13445)

* Mon Oct 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.04-1mdk
- New release 1.04

* Mon Sep 20 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.03-2mdk
- lib64 & 64-bit fixes
- provides libxklavier-static-devel

* Thu Jul  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.03-1mdk
- use installed docs
- reenable libtoolize
- fix source URL
- New release 1.03

* Wed Apr 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.02-1mdk
- fix buildrequires
- new version

* Mon Apr 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.01-1mdk
- new version

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.00-1mdk
- new version

* Thu Feb 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.97-2mdk
- rebuild against xfree 4.3

* Mon Jan 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.97-1mdk
- fix major number
- new version

* Sun Dec 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.96-1mdk
- don't libtoolize
- new version

* Tue Nov  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.95-3mdk
- another buildrequires fix

* Tue Nov  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.95-2mdk
- fix buildrequires

* Wed Oct 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.95-1mdk
- initial packagee

